<?php

namespace app\themes\svo\assets;

use kernel\Assets;
use kernel\helpers\Debug;

class AdminSliderAssets extends Assets
{

    protected function createCSS(): void
    {
        $this->registerCSS(
            slug: "select2",
            resource: "https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css",
            addResourceURI: false,
            after: 'bootstrap'
        );
    }

    protected function createJS(): void
    {
        $this->registerJS(
            slug: "select2",
            resource: "https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js",
            addResourceURI: false,
            after: 'jquery',
        );
        $this->registerJS(
            slug: "slider",
            resource: "/slider.js",
            after: 'select2',
        );
    }

}